TTYLOG(8)

NAME
ttylog - serial device logger

SYNOPSIS
ttylog [-b|--baud] [-d|--device] [-f|--flush] [-t|--timeout] > /path/to/logfile

If you are not using the timeout option, you can stop it running by pressing a ctrl-c when it's going to the screen or doing "kill -HUP nnnn" (where nnnn is the process ID for ttylog) if running in the background.

DESCRIPTION
This program writes everything that comes from a serial device like /dev/ttyS1 onto stdout. You can specify the device and the baud rate of the device.

OPTIONS
ttylog follows the GNU command line syntax, with long options starting with two dashes('-'). A summary of the options is included below:

-h, --help
    Displays a little help

-v, --version
    Version number of ttylog plus Copyright information

-b, --baud
    Baud rate of the device. Available baud rates: 300, 1200, 2400, 4800, 9600, 19200, 38400, 57600 and 115200

-d --device
    The serial device. For example /dev/ttyS1

-f --flush
    Output buffers are flushed after every write.

-t --timeout
    How long to run ttylog, in seconds.

AUTHOR
This manual page was originally written by Tibor Koleszar <t.koleszar@somogy.hu>, for the Debian GNU/Linux system. Modifications and updates written by Robert James Clay <jame@rocasa.us>.